JUCE

- Main Page
- Related Pages
- Topics
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
Static Public Member Functions | List of all members
NullCheckedInvocation Struct Reference
juce_core » misc

Some helper methods for checking a callable object before invoking with the specified arguments. More...

`#include <juce_Functional.h>`

## Static Public Member Functions
template<typename Callable , typename... Args>
static void | invoke (Callable &&fn, Args &&... args)
template<typename... Args>
static void | invoke (std::nullptr_t, Args &&...)

## Detailed Description

Some helper methods for checking a callable object before invoking with the specified arguments.

If the object provides a comparison operator for nullptr it will check before calling. For other objects it will just invoke the function call operator.

## Member Function Documentation

## ◆ invoke() [1/2]

template<typename Callable , typename... Args>

static void NullCheckedInvocation::invoke | ( | Callable && | fn,
|  | Args &&... | args )
| static

References JUCE_BEGIN_IGNORE_WARNINGS_GCC_LIKE, and JUCE_END_IGNORE_WARNINGS_GCC_LIKE.

Referenced by ModalCallbackFunction::create().

## ◆ invoke() [2/2]

template<typename... Args>

static void NullCheckedInvocation::invoke | ( | std::nullptr_t | ,
|  | Args && | ... )
| static

The documentation for this struct was generated from the following file:

- juce_Functional.h